Anonymous Login
2019-06-24 21:26 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000822v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:48
Reportermilanm 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000822: Required "short name" of project is pre-filled, but not accepted
DescriptionUpgraded from DP 2.0.2 to W2P 2.3.1.

When trying to update existing or create a new project, required field "short name" is reported as blank by a pop-up window -- despite having some values in it. When values are deleted from the field, W2p refuses to create this project, since "short name" is missing.

PROBLEM: Debugged down to a very specific conversion issue we had: after moving from DP 2.0.2 to W2P 2.3.1, some required values for project fields were missing from "sysvals" table.
Additional InformationDebugged by:
1) Going to "System Admin->System Lookup Values".
2) There, we examined "ProjectRequiredFields" and noticed that they were malformed. Values were "<3", etc for "less than 3 characters". However, "<" is an HTML tag, so it was eaten by the formatter if you tried to manually add these values.

RESOLUTION:
* I typed "3" instead of "<3".

Another possible thing to try would be these SQL statements directly against the database:

INSERT INTO `sysvals` (`sysval_key_id`, `sysval_title`, `sysval_value`, `sysval_value_id`) VALUES (1, 'ProjectRequiredFields', '<3', 'f.project_color_identifier.value.length');


INSERT INTO `sysvals` (`sysval_key_id`, `sysval_title`, `sysval_value`, `sysval_value_id`) VALUES (1, 'ProjectRequiredFields', '<1', 'f.project_company.options[f.project_company.selectedIndex].value');


INSERT INTO `sysvals` (`sysval_key_id`, `sysval_title`, `sysval_value`, `sysval_value_id`) VALUES (1, 'ProjectRequiredFields', '<3', 'f.project_name.value.length');

TagsNo tags attached.
Attached Files

-Relationships
related to 0000823closed Pending Requests Post-conversion from DP 2.0.2 most pull-downs ("task priority", "task status", etc) are empty 
has duplicate 0000918closed Pending Requests ProjectRequiredFields - can not be modified 
+Relationships

-Notes

~0001973

milanm (reporter)

This bug is related to 0000823 (missing sysVals values post-conversion).

~0002118

caseydk (administrator)

Resolved in r2020;
+Notes

-Issue History
Date Modified Username Field Change
2011-06-06 08:02 milanm New Issue
2011-06-06 08:56 milanm Note Added: 0001973
2011-06-07 22:14 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-06-17 07:32 pedroa Relationship added related to 0000823
2011-07-23 22:49 caseydk Status new => assigned
2011-07-23 22:49 caseydk Assigned To => caseydk
2011-08-06 23:12 caseydk Relationship added has duplicate 0000918
2011-08-07 11:52 caseydk Note Added: 0002118
2011-08-07 11:52 caseydk Status assigned => resolved
2011-08-07 11:52 caseydk Resolution open => fixed
2011-08-16 23:48 caseydk Status resolved => closed
2011-08-16 23:48 caseydk Fixed in Version => 2.4
+Issue History